%define realname digidoc

%define major 2
%define libname %mklibname %{realname} %major
%define develname %mklibname %{realname} -d

Name:		libdigidoc
Version:	2.7.1.59
Release:	%mkrel 1
Summary:	Library for handling digitally signed documents

Group:		System/Libraries
License:	LGPLv2
URL:		http://id.eesti.ee
# svn export https://svn.eesti.ee/projektid/idkaart_public/branches/3.5/libdigidoc libdigidoc-2.7.1.59 && tar cjf libdigidoc-2.7.1.59.tar.bz2 libdigidoc-2.7.1.59
Source:		%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel

%description
libDigiDoc is a library implementing a subset of the XAdES digital
signature standard on top of Estonian specific .ddoc container format.
It allows to create, sign, verify, and modify digidoc XML containers.

%package	-n %{libname}
Group:		System/Libraries
Summary:	Library for handling digitally signed documents
Provides:	%name = %{version}-%{release}

%description	-n %{libname}
This package contains libraries and header files for
developing applications that use %{name}.


%package	-n %{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	libxml2-devel
Requires:	openssl-devel
Requires:	pkgconfig
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{develname}
This package contains libraries and header files for
developing applications that use %{libname}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ../..
popd

%make -C %{_target_platform}/build


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}/build


%files -n %{libname}
%config %{_sysconfdir}/digidoc.conf
%{_bindir}/cdigidoc
%{_libdir}/*.so.%{major}*
%doc ChangeLog readme

%files -n %{develname}
%{_includedir}/libdigidoc/
%{_libdir}/pkgconfig/lib*.pc
%{_libdir}/*.so




%changelog

* Sun Jan 08 2012 sander85 <sander85> 2.7.1.59-1.mga2
+ Revision: 193284
- new version: 2.7.1.59

* Fri Apr 22 2011 sander85 <sander85> 2.7.1.58-1.mga1
+ Revision: 89801
- imported package libdigidoc

